<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FatLog extends BaseModel
{
    use HasFactory;

    public function fatKind()
    {
        return $this->hasOne(FatKind::class, 'fat_name', 'fat_name')->select('fat_name', 'icon', 'h_icon');
    }
}
